Browser Support

ClassicPress officially supports the following browsers:

  • Last 1 Android version.
  • Last 1 ChromeAndroid version.
  • Last 2 Chrome versions.
  • Last 2 Firefox versions.
  • Last 2 Safari versions.
  • Last 2 iOS versions. (needs testing)
  • Last 2 Edge versions.
  • Last 2 Opera versions.
  • Internet Explorer >= 11. (needs testing)
  • Browsers with > 1% usage based on Can I Use browser usage table

These are the browsers that are officially supported for full functionality in the ClassicPress administration dashboard. We make every effort to provide reasonable support for other browsers, usually in the form of making sure key functions work or have a fallback using the most basic web standards (HTTP request/response cycles using forms, semantic markup, etc).

If you’re looking for more information about which browsers ClassicPress supports for people visiting the frontend of your site – this is largely up to the theme that you choose to use. For example, it would take a bit of work, but it would certainly be possible to make a ClassicPress site that allows people to read your content just fine on ancient versions of Internet Explorer.

If you see an issue with the ClassicPress core code in a particular browser, or you’d like to help us reinforce our testing efforts for less-used browsers, please leave your comments on the discussion thread for this page on our forums.